
Summary: a word processor for UNIX systems with X11/Motif
Name: Papyrus
Version: 1.1.1
Release: 1
URL: http://www.mime.univ-paris8.fr/~loscar/Papyrus/
Copyright: GNU General Public License, version 2
Group: X11/Applications/Publishing
Packager: John C. Peterson <jaypee@netcom.com>
Source0: ftp://or.mime.univ-paris8.fr/pub/loscar/Papyrus/Papyrus1.1.1/papyrus-1.1.1.src.tar.gz
Source1: ftp://or.mime.univ-paris8.fr/pub/loscar/Papyrus/Docs/papyrus_ps.gz
Patch: papyrus-1.1.1-linux.patch
Buildroot: /tmp/build_root
Requires: tcl >= 7.6

%description
Papyrus is a word processor for UNIX systems with X11/Motif, (especially
for Linux). The development goal of the Papyrus project was a complete
and modern word processor for document preparation. Papyrus was written
by Carlos Nunes, <loscar@mime.univ-paris8.fr>, for his Masters project
in the MIME department of the 'Universite de Paris 8'. Some capabilities
of Papyrus include:

        - text insertion
        - images insertion (Xpm format)
        - use of a command language in the application
        - character attributes (bold, italic, size, font)
        - paragraph attributes (alignment, margins)
        - save formats (ASCII, PostScript, Specific PAPyRUS)
        - document print
        - syntax checker (width ispell)

%prep
%setup -n Papyrus1.1.1
%patch -p1
# discard originals after patching
find . -name '*.orig' -exec rm {} \;

%build
make depend
make clean
make


%install
# clean start
rm -rf $RPM_BUILD_ROOT
# create the directories we will need
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/Papyrus
# executable
install -m 0755 -s bin/papyrus $RPM_BUILD_ROOT/usr/X11R6/bin
# library files
cd lib
chmod -R go-w *
tar cf - . | (cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/Papyrus ; tar xf -)
cd ..
# X11 resource file
install -m 0644 bin/Papyrus.ad.common \
  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Papyrus
cat bin/Papyrus.ad.eng >> \
  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Papyrus
# tcl init file
sed s/auto_mkindex/#auto_mkindex/ \
  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/Papyrus/scripts/papyrus-init.tcl > \
  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/Papyrus/scripts/papyrus-init.tcl.new
mv -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/Papyrus/scripts/papyrus-init.tcl.new \
      $RPM_BUILD_ROOT/usr/X11R6/lib/X11/Papyrus/scripts/papyrus-init.tcl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/*
/usr/X11R6/bin/papyrus
%config /usr/X11R6/lib/X11/app-defaults/Papyrus
/usr/X11R6/lib/X11/Papyrus

